=== debian/changelog ===
stlcmd (1.1-1) unstable; urgency=medium

  * Fixed Makefile to properly install stl_boolean. (Closes: #885792)

 -- John Allwine <john@allwinedesigns.com>  Sat, 30 Dec 2017 04:13:36 +0000

stlcmd (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #884310)

 -- John Allwine <john@allwinedesigns.com>  Sun, 17 Dec 2017 20:57:31 +0000
