=== debian/control ===
Source: stlcmd
Maintainer: John Allwine <john@allwinedesigns.com>
Homepage: https://www.github.com/AllwineDesigns/stl_cmd
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10), help2man

Package: stlcmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Suite of commands for generating, inspecting and manipulating STL files
 stl_cmd is a suite of command line tools for generating, inspecting and
 manipulating STL files which are often used in 3D printing. The goal of this 
 project is to be a resource for teaching terminal usage and some basic 
 programming concepts in the 3D printing space. Imagine an assignment which 
 involves building a brick wall. Students would need to use a combination of 
 stl_cube, stl_transform and stl_merge. The commands could be combined in a 
 bash or <insert favorite scripting language> script with for and while 
 loops, could accept input and use conditionals to affect the attributes of 
 the wall.
