=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-g++
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	$(MAKE) CC=$(CC)
	$(MAKE) docs

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/stlcmd prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/stlcmd prefix=/usr installDocs
	mkdir -p $$(pwd)/debian/stlcmd/usr/share/doc/stlcmd
	gzip -n -c -9 CHANGES > $$(pwd)/debian/stlcmd/usr/share/doc/stlcmd/changelog.gz
