=== debian/changelog ===
stlcmd (1.2-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1087049
  * Maintain package in Debian 3-D Printing Packages team
    Closes: #1107310
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * d/copyright: review
  * Fix clean target
    Closes: #1048618

  [ наб ]
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jun 2025 22:06:28 +0200
