=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+override_dh_clean:
+	dh_clean
+	rm -rf man
+
 override_dh_auto_build:
 	$(MAKE) CC=$(CC)
 	$(MAKE) docs
