=== debian/watch ===
version=4

opts=\
pgpmode=self,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz.asc%,\
downloadurlmangle=s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/releases/download/v$2/stl_cmd-$2.tar.gz.asc%g,\
searchmode=plain \
 https://api.github.com/repos/AllwineDesigns/stl_cmd/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
